## snapd 2.74.1+ubuntu26.04

=== core-initrd/25.04/debian/changelog ===
ubuntu-core-initramfs (71+2.73+g132.524048f+25.04ubuntu1) UNRELEASED; urgency=medium

  * Change dependency from libteec1 to libteec2

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 14 Jan 2026 17:04:07 -0500

ubuntu-core-initramfs (71+2.73+g132.524048f+25.04) plucky; urgency=medium

  * Update to snapd version 2.73+g132.524048f

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 09 Jan 2026 08:07:55 -0500

ubuntu-core-initramfs (71+2.73+g76.6a5ca6a+25.04) plucky; urgency=medium

  * Update to snapd version 2.73+g76.6a5ca6a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 09 Dec 2025 11:55:16 -0500

ubuntu-core-initramfs (71+2.73+g61.07ddf16+25.04) plucky; urgency=medium

  * Update to snapd version 2.73+g61.07ddf16

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 04 Dec 2025 13:27:48 +0000
